const unsigned char font[96][8] = {{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, //
                                   {0x5f, 0x5c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // !
                                   {0x03, 0x07, 0x00, 0x03, 0x07, 0x00, 0x00, 0x00}, // "
                                   {0x14, 0x3e, 0x3c, 0x14, 0x3e, 0x3c, 0x14, 0x00}, // #
                                   {0x6f, 0x6d, 0x49, 0xff, 0x7d, 0x49, 0x7b, 0x00}, // $
                                   {0x01, 0x03, 0x73, 0x7f, 0x3f, 0x7f, 0x79, 0x78}, // %
                                   {0x3f, 0x3f, 0x7d, 0x49, 0x7f, 0x3f, 0x7c, 0x48}, // &
                                   {0x03, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // '
                                   {0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // (
                                   {0x00, 0xfc, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00}, // )
                                   {0x1e, 0x1e, 0x1e, 0x0c, 0x3f, 0x0c, 0x1e, 0x1e}, // *
                                   {0x08, 0x08, 0x3e, 0x08, 0x08, 0x00, 0x00, 0x00}, // +
                                   {0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // ,
                                   {0x08, 0x08, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00}, // -
                                   {0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // .
                                   {0x70, 0x7e, 0x1f, 0x03, 0x00, 0x00, 0x00, 0x00}, // /
                                   {0x3f, 0x7f, 0x7d, 0x41, 0x7f, 0x3f, 0x00, 0x00}, // 0
                                   {0x02, 0x7e, 0x7f, 0x00, 0x00, 0x00, 0x00, 0x00}, // 1
                                   {0x79, 0x79, 0x4b, 0x4f, 0x00, 0x00, 0x00, 0x00}, // 2
                                   {0x49, 0x49, 0x7d, 0x7f, 0x00, 0x00, 0x00, 0x00}, // 3
                                   {0x0f, 0x08, 0x08, 0x7c, 0x7f, 0x00, 0x00, 0x00}, // 4
                                   {0x4f, 0x4b, 0x49, 0x79, 0x79, 0x00, 0x00, 0x00}, // 5
                                   {0x7f, 0x7f, 0x7d, 0x49, 0x79, 0x00, 0x00, 0x00}, // 6
                                   {0x01, 0x01, 0x7d, 0x7f, 0x00, 0x00, 0x00, 0x00}, // 7
                                   {0x7f, 0x7f, 0x7d, 0x49, 0x7f, 0x00, 0x00, 0x00}, // 8
                                   {0x4f, 0x4f, 0x49, 0x7d, 0x7f, 0x00, 0x00, 0x00}, // 9
                                   {0x28, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // :
                                   {0xd0, 0xd0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // ;
                                   {0x08, 0x1c, 0x36, 0x22, 0x00, 0x00, 0x00, 0x00}, // <
                                   {0x14, 0x14, 0x14, 0x14, 0x00, 0x00, 0x00, 0x00}, // =
                                   {0x22, 0x36, 0x1c, 0x08, 0x00, 0x00, 0x00, 0x00}, // >
                                   {0x03, 0x51, 0x59, 0x0b, 0x0f, 0x00, 0x00, 0x00}, // ?
                                   {0x7e, 0xff, 0x83, 0x3d, 0x3f, 0x17, 0x3f, 0x3f}, // @
                                   {0x7f, 0x7f, 0x7d, 0x09, 0x09, 0x7f, 0x00, 0x00}, // A
                                   {0x7f, 0x7f, 0x6d, 0x6d, 0x7f, 0x3f, 0x00, 0x00}, // B
                                   {0x3f, 0x7f, 0x41, 0x41, 0x00, 0x00, 0x00, 0x00}, // C
                                   {0x7f, 0x7d, 0x61, 0x61, 0x7f, 0x3f, 0x00, 0x00}, // D
                                   {0x7f, 0x7f, 0x7d, 0x49, 0x49, 0x00, 0x00, 0x00}, // E
                                   {0x7f, 0x7f, 0x7d, 0x09, 0x09, 0x00, 0x00, 0x00}, // F
                                   {0x7f, 0x7f, 0x7d, 0x49, 0x78, 0x00, 0x00, 0x00}, // G
                                   {0x7f, 0x7c, 0x08, 0x08, 0x7f, 0x00, 0x00, 0x00}, // H
                                   {0x7f, 0x7c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // I
                                   {0xff, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // J
                                   {0x7f, 0x7e, 0x0c, 0x0c, 0x7f, 0x7f, 0x00, 0x00}, // K
                                   {0x7f, 0x7c, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00}, // L
                                   {0x7f, 0x7d, 0x01, 0x7f, 0x7f, 0x7d, 0x7f, 0x7f}, // M
                                   {0x7f, 0x7d, 0x01, 0x01, 0x7f, 0x7f, 0x00, 0x00}, // N
                                   {0x3f, 0x7f, 0x61, 0x67, 0x7f, 0x3f, 0x00, 0x00}, // O
                                   {0x7f, 0x7f, 0x0d, 0x0d, 0x0f, 0x07, 0x00, 0x00}, // P
                                   {0x3f, 0x7f, 0x61, 0xe7, 0xff, 0xbf, 0x00, 0x00}, // Q
                                   {0x7f, 0x7f, 0x0d, 0x0d, 0x7f, 0x7f, 0x00, 0x00}, // R
                                   {0x6f, 0x6d, 0x49, 0x49, 0x7b, 0x00, 0x00, 0x00}, // S
                                   {0x01, 0x01, 0x7f, 0x7d, 0x01, 0x00, 0x00, 0x00}, // T
                                   {0x3f, 0x7c, 0x40, 0x40, 0x7f, 0x00, 0x00, 0x00}, // U
                                   {0x1f, 0x3c, 0x7c, 0x60, 0x70, 0x3f, 0x1f, 0x00}, // V
                                   {0x3f, 0x7c, 0x60, 0x7f, 0x7c, 0x60, 0x7f, 0x3f}, // W
                                   {0x7f, 0x7e, 0x0c, 0x0c, 0x7f, 0x7f, 0x00, 0x00}, // X
                                   {0x0f, 0x5f, 0x58, 0x5f, 0x7f, 0x3f, 0x00, 0x00}, // Y
                                   {0x61, 0x71, 0x59, 0x4d, 0x47, 0x00, 0x00, 0x00}, // Z
                                   {0xff, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // [
                                   {0x03, 0x1f, 0x7e, 0x70, 0x00, 0x00, 0x00, 0x00}, // "\"
                                   {0x00, 0x0f, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00}, // ]
                                   {0x02, 0x03, 0x01, 0x03, 0x02, 0x00, 0x00, 0x00}, // ^
                                   {0x40, 0x40, 0x40, 0x40, 0x40, 0x00, 0x00, 0x00}, // _
                                   {0x01, 0x03, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00}, // `
                                   {0x7f, 0x7f, 0x7d, 0x09, 0x09, 0x7f, 0x00, 0x00}, // a
                                   {0x7f, 0x7f, 0x6d, 0x6d, 0x7f, 0x3f, 0x00, 0x00}, // b
                                   {0x3f, 0x7f, 0x41, 0x41, 0x00, 0x00, 0x00, 0x00}, // c
                                   {0x7f, 0x7d, 0x61, 0x61, 0x7f, 0x3f, 0x00, 0x00}, // d
                                   {0x7f, 0x7f, 0x7d, 0x49, 0x49, 0x00, 0x00, 0x00}, // e
                                   {0x7f, 0x7f, 0x7d, 0x09, 0x09, 0x00, 0x00, 0x00}, // f
                                   {0x7f, 0x7f, 0x7d, 0x49, 0x78, 0x00, 0x00, 0x00}, // g
                                   {0x7f, 0x7c, 0x08, 0x08, 0x7f, 0x00, 0x00, 0x00}, // h
                                   {0x7f, 0x7c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // i
                                   {0xff, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // j
                                   {0x7f, 0x7e, 0x0c, 0x0c, 0x7f, 0x7f, 0x00, 0x00}, // k
                                   {0x7f, 0x7c, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00}, // l
                                   {0x7f, 0x7d, 0x01, 0x7f, 0x7f, 0x7d, 0x7f, 0x7f}, // m
                                   {0x7f, 0x7d, 0x01, 0x01, 0x7f, 0x7f, 0x00, 0x00}, // n
                                   {0x3f, 0x7f, 0x61, 0x67, 0x7f, 0x3f, 0x00, 0x00}, // o
                                   {0x7f, 0x7f, 0x0d, 0x0d, 0x0f, 0x07, 0x00, 0x00}, // p
                                   {0x3f, 0x7f, 0x61, 0xe7, 0xff, 0xbf, 0x00, 0x00}, // q
                                   {0x7f, 0x7f, 0x0d, 0x0d, 0x7f, 0x7f, 0x00, 0x00}, // r
                                   {0x6f, 0x6d, 0x49, 0x49, 0x7b, 0x00, 0x00, 0x00}, // s
                                   {0x01, 0x01, 0x7f, 0x7d, 0x01, 0x00, 0x00, 0x00}, // t
                                   {0x3f, 0x7c, 0x40, 0x40, 0x7f, 0x00, 0x00, 0x00}, // u
                                   {0x1f, 0x3c, 0x7c, 0x60, 0x70, 0x3f, 0x1f, 0x00}, // v
                                   {0x3f, 0x7c, 0x60, 0x7f, 0x7c, 0x60, 0x7f, 0x3f}, // w
                                   {0x7f, 0x7e, 0x0c, 0x0c, 0x7f, 0x7f, 0x00, 0x00}, // x
                                   {0x0f, 0x5f, 0x58, 0x5f, 0x7f, 0x3f, 0x00, 0x00}, // y
                                   {0x61, 0x71, 0x59, 0x4d, 0x47, 0x00, 0x00, 0x00}, // z
                                   {0x04, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00}, // {
                                   {0xff, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, // |
                                   {0x00, 0xfc, 0xff, 0xff, 0x04, 0x00, 0x00, 0x00}, // }
                                   {0x02, 0x03, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00}, // ~
                                   {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}};